org.apache.hc.core5.http2.impl.nio

## Class ClientHttpProtocolNegotiatorFactory

- java.lang.Object
- - org.apache.hc.core5.http2.impl.nio.ClientHttpProtocolNegotiatorFactory

- All Implemented Interfaces:
    IOEventHandlerFactory

  Deprecated.
  Use `ClientHttpProtocolNegotiationStarter`

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      @Internal
      @Deprecated
      public class ClientHttpProtocolNegotiatorFactory
      extends Object
      implements IOEventHandlerFactory

  `ClientHttpProtocolNegotiator` factory.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientHttpProtocolNegotiatorFactory(ClientHttp1StreamDuplexerFactory http1StreamHandlerFactory, ClientH2StreamMultiplexerFactory http2StreamHandlerFactory, HttpVersionPolicy versionPolicy, TlsStrategy tlsStrategy, Timeout handshakeTimeout)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientHttpProtocolNegotiator` | `createHandler(ProtocolIOSession ioSession, Object attachment)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientHttpProtocolNegotiatorFactory

          public ClientHttpProtocolNegotiatorFactory(ClientHttp1StreamDuplexerFactory http1StreamHandlerFactory,
                                             ClientH2StreamMultiplexerFactory http2StreamHandlerFactory,
                                             HttpVersionPolicy versionPolicy,
                                             TlsStrategy tlsStrategy,
                                             Timeout handshakeTimeout)

      Deprecated.

  - ### Method Detail

    - #### createHandler

          public ClientHttpProtocolNegotiator createHandler(ProtocolIOSession ioSession,
                                                   Object attachment)

      Deprecated.
      Specified by:
        `createHandler` in interface `IOEventHandlerFactory`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.